package xmldb;

/**
 * <p>This class stores element attributes in a two-dimensional array.</p>
 *
 * <p>XML Technologies WS 15/16 - Assignments<br/>
 * Workgroup DBIS, University of Konstanz</p>
 */
public class Attributes {
  /** Attributes and their values. */
  private String[][] atts = new String[0][2];
  /** Number of attributes. */
  private int size;

  /**
   * Adds an attribute.
   * @param att attribute to be added
   * @param value attribute value to be added
   */
  public void add(String att, String value) {
    // resize attribute array
    String[][] tmp = new String[size + 1][2];
    System.arraycopy(atts, 0, tmp, 0, size);
    atts = tmp;
    // add attribute and its value
    atts[size][0] = att;
    atts[size++][1] = value;
  }

  /**
   * Returns the number of attributes.
   * @return number of attributes
   */
  public int size() {
    return size;
  }

  /**
   * Return the specified attribute.
   * @param i attribute index
   * @return specified attribute
   */
  public String[] get(int i) {
    return atts[i];
  }
}
